### Home Classes Methods

### In Files

- lib/tinymce/rails.rb
- lib/tinymce/rails/version.rb
- lib/tinymce/rails/configuration.rb
- lib/tinymce/rails/asset_manifest.rb
- lib/tinymce/rails/configuration_file.rb
- lib/tinymce/rails/engine.rb
- lib/tinymce/rails/helper.rb
- lib/tinymce/rails/asset_installer.rb

### Namespace

- MODULE TinyMCE::Rails::Helper
- CLASS TinyMCE::Rails::AssetInstaller
- CLASS TinyMCE::Rails::AssetManifest
- CLASS TinyMCE::Rails::Configuration
- CLASS TinyMCE::Rails::ConfigurationFile
- CLASS TinyMCE::Rails::Engine
- CLASS TinyMCE::Rails::MultipleConfiguration

### Methods

- ::configuration
- ::configuration=

### Class/Module Index

Quicksearch

- TinyMCE
- TinyMCE::JsonManifest
- TinyMCE::NullManifest
- TinyMCE::Rails
- TinyMCE::Rails::AssetInstaller
- TinyMCE::Rails::AssetManifest
- TinyMCE::Rails::Configuration
- TinyMCE::Rails::Configuration::Function
- TinyMCE::Rails::ConfigurationFile
- TinyMCE::Rails::Engine
- TinyMCE::Rails::Helper
- TinyMCE::Rails::MultipleConfiguration
- TinyMCE::YamlManifest

No matching classes.

# TinyMCE::Rails

### Constants

TINYMCE_VERSION
VERSION

### Public Class Methods

configuration() click to toggle source

    # File lib/tinymce/rails.rb, line 9
    def self.configuration
      @configuration ||= ConfigurationFile.new(::Rails.root.join("config/tinymce.yml"))
      @configuration.respond_to?(:configuration) ? @configuration.configuration : @configuration
    end

configuration=(configuration) click to toggle source

    # File lib/tinymce/rails.rb, line 14
    def self.configuration=(configuration)
      @configuration = configuration
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.